%global gem_name    rake-compiler

%if 0%{?rhel} == 5
%global gem_dir     %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%global gem_libdir  %{gem_instdir}/lib
%global gem_cache   %{gem_dir}/cache/%{gem_name}-%{version}.gem
%global gem_spec    %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%global gem_docdir  %{gem_dir}/doc/%{gem_name}-%{version}
%endif


Summary:        Rake-based Ruby C Extension task generator
Name:           rubygem-%{gem_name}
Version:        0.9.3
Release:        1%{?dist}
Group:          Development/Languages
License:        MIT
URL:            http://rake-compiler.rubyforge.org/
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ruby

%if 0%{?rhel} == 5
BuildRequires:  rubygems
Requires:       ruby(abi) >= 1.8
Requires:       ruby(rubygems) >= 1.3.5
Provides:       rubygem(%{gem_name}) = %{version}
%else
BuildRequires:  rubygems-devel
Requires:       ruby
%endif

Requires:       rubygem-rake >= 0.8.3


BuildArch:      noarch

%description
rake-compiler aims to help Gem developers while dealing with
Ruby C extensions, simplifiying the code and reducing the duplication.

It follows *convention over configuration* and set an standarized
structure to build and package C extensions in your gems.

This is the result of expriences dealing with several Gems
that required native extensions across platforms and different
user configurations where details like portability and
clarity of code were lacking.

%prep
%setup -q -c -T

mkdir -p .%{gem_dir}
gem install \
  --local \
  --install-dir $(pwd)%{gem_dir} \
  --force \
  --rdoc \
  -V \
  %{SOURCE0}

# rpmlint cosmetic
pushd .%{gem_instdir}
sed -i -e 's|\r||' README.rdoc
find ./lib/rake -name \*.rb | xargs sed -i -e '\@/usr/bin/env@d'
popd

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

# The binary is broken in linux platforms
# because mingw is not available, so let's
# not include it.
rm %{buildroot}%{gem_dir}/bin/%{gem_name}
rmdir %{buildroot}%{gem_dir}/bin

rm -rf %{buildroot}%{gem_dir}/doc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{gem_instdir}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/LICENSE.txt
%doc %{gem_instdir}/History.txt
%{gem_instdir}/Rakefile
%{gem_instdir}/Gemfile
%{gem_instdir}/cucumber.yml
%{gem_instdir}/[a-z]*/
%{gem_dir}/cache/%{gem_name}-%{version}.gem
%{gem_dir}/specifications/%{gem_name}-%{version}.gemspec



%changelog
* Tue Nov 18 2014 Melissa Stone <melissa@puppetlabs.com> - 0.9.3-1
- Rebuild with some more readable options, and for el7
- go all in and bump to upstream 0.9.3
- Remove doc package
- do not ship binary as it is broken.

* Tue Mar 26 2013 Matthaus Owens <matthaus@puppetlabs.com> - 0.7.0-2
- Rebuild for Puppet Labs dependencies repo

* Thu Dec 10 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.0-1
- 0.7.0

* Wed Jul 29 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.0-1
- 0.6.0

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5.0-2
- F-12: Mass rebuild

* Thu Jul  2 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5.0-2
- Restore files under %%{geminstdir}/bin

* Thu Jun 11 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5.0-1
- Initial package
